---
title: SVG image element
slug: Web/SVG/Tutorial/SVG_Image_Tag
tags:
  - Beginner
  - NeedsBeginnerUpdate
  - NeedsContent
  - NeedsUpdate
  - SVG
  - Tutorial
---
<p>{{ PreviousNext("Web/SVG/Tutorial/SVG_Fonts", "Web/SVG/Tutorial/Tools_for_SVG") }}</p>

<p>The SVG {{ SVGElement("image") }} element allows for raster images to be rendered within an SVG object.</p>

<p>In this basic example, a .jpg image referenced by an {{ SVGAttr("href") }} attribute will be rendered inside an SVG object:</p>

<pre class="brush: xml">&lt;?xml version="1.0" standalone="no"?&gt;
&lt;!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
  "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"&gt;
&lt;svg width="5cm" height="4cm" version="1.1"
     xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"&gt;
	&lt;image href="firefox.jpg" x="0" y="0" height="50px" width="50px"/&gt;
&lt;/svg&gt;</pre>

<p>There are some important things to take note of (referenced from the <a class="external" href="http://www.w3.org/TR/SVG/struct.html#ImageElement">W3 specs</a>):</p>

<ul>
 <li>
  <p>If you do not set the <code>x</code> or <code>y</code> attributes, they will be set to <code>0</code>.</p>
 </li>
 <li>
  <p>If you do not set the <code>height</code> or <code>width</code> attributes, they will be set to <code>0</code>.</p>
 </li>
 <li>Having a <code>height</code> or <code>width</code> attribute of <code>0</code> will disable rendering of the image.</li>
</ul>

<p>{{ PreviousNext("Web/SVG/Tutorial/SVG_Fonts", "Web/SVG/Tutorial/Tools_for_SVG") }}</p>
